List podcast episodes OAuth Scope: podcasts:read

Retrieve all episodes belonging to a specific podcast.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

publicationIdstringRequiredformat: "^(pub_[0-9a-fA-F\-]+)$"
The prefixed ID of the publication object
podcastShowIdstringRequiredformat: "^(pod_[0-9a-fA-F\-]+)$"
The prefixed ID of the podcast

Query parameters

limitintegerOptional
A limit on the number of objects to be returned. The limit can range between 1 and 100, and the default is 10.
cursorstringOptional

Cursor-based pagination (recommended): Use this opaque cursor token to fetch the next page of results. Obtain the value from next_cursor in a previous response.

pageintegerOptional

Offset-based pagination (deprecated): Page number for offset-based pagination. Please migrate to cursor-based pagination using the cursor parameter.

statusenumOptional

Optionally filter the results by the status of the episode.
draft - Not yet published.
scheduled - Scheduled for future publication.
published - Available via web and RSS.
archived - No longer available via web or RSS.

Allowed values:
order_byenumOptionalDefaults to displayed_date
The field that the results are sorted by. Defaults to `displayed_date`<br>`created` - The time in which the episode was first created.<br>`updated` - The time the episode was last updated.<br>`publish_date` - The exact time the system published the episode (when it went live), not the scheduled time the user set.<br>`displayed_date` - The time displayed in place of the `publish_date`. Uses a custom display date if set, otherwise the scheduled time the user set for publication, otherwise the `publish_date`, otherwise the creation date. For imported episodes, the original feed's `pubDate` is stored as the custom display date. This is the same field used to order episodes in the podcast's RSS feed.
Allowed values:
directionenumOptionalDefaults to asc

The direction that the results are sorted in. Defaults to desc
asc - Ascending, sorts from smallest to largest.
desc - Descending, sorts from largest to smallest.

Allowed values:

Response

OK
datalist of objects
A list of episodes for this podcast.
limitintegerOptional
The limit placed on the results. If no limit was specified in the request, this defaults to 10.
pageintegerOptional>=0Defaults to 1

Offset pagination only: The page number the results are from. Only present when using deprecated offset-based pagination.

total_pagesintegerOptional

Offset pagination only: The total number of pages. Only present when using deprecated offset-based pagination.

has_morebooleanOptional

Cursor pagination only: Indicates whether there are more results available after the current page. Only present when using cursor-based pagination.

next_cursorstringOptional

Cursor pagination only: The cursor token to use for fetching the next page of results. Null when has_more is false. Only present when using cursor-based pagination.

total_resultsintegerOptional
The total number of results from all pages.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error